org.apache.commons.compress

## Class PasswordRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.compress.PasswordRequiredException

- All Implemented Interfaces:
    Serializable

      public class PasswordRequiredException
      extends IOException

  Exception thrown when trying to read an encrypted entry or file without configuring a password.
  Since:
    1.10
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordRequiredException(String name)` Create a new exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordRequiredException

          public PasswordRequiredException(String name)

      Create a new exception.
      Parameters:
        `name` - name of the archive containing encrypted streams or the encrypted file.

Copyright © 2016 The Apache Software Foundation. All rights reserved.